Entur Developer
Orders

Orders

Server

Top level services for order


Get Orders

GET
https://api.staging.entur.io/sales
/v1/orders

Get Orders by specifying multiple filter query parameters.

Each value(s) must be prefixed with a valid search operator [eq, ne, gt, gte, lt, lte, in, nin, sw]. Supported operators vary per query parameter. See examples in some query parameters.

Get Orders › query Parameters

balance
​string[] · style: form · explode: true

Filter by balance

contact
​string[] · style: form · explode: true

Filter by contact info contact

createdAt
​string[] · style: form · explode: true

Filter by created at

createdBy
​string[] · style: form · explode: true

Filter by contact info created by

currency
​string[] · style: form · explode: true

Filter by currency

datedServiceJourneyId
​string[] · style: form · explode: true

Filter by Leg with Dated Service Journey ID

distributionChannelId
​string[] · style: form · explode: true

Filter by Distribution Channel used when Order was created

endTime
​string[] · style: form · explode: true

Filter by the endTime of one of the Legs on the Order

externalReference
​string[] · style: form · explode: true

Filter by external reference.

Supports exact match (eq, ne, in, nin) and prefix match with sw. Several prefixes can be combined in one value, e.g. sw:BRY321,POSTMA — an order matches if the reference starts with any of them.

fromStopPlaceId
​string[] · style: form · explode: true

Filter by Leg with from Stop Place ID

id
​string[] · style: form · explode: true

Filter by order ID

lastConfirmedAt
​string[] · style: form · explode: true

Filter by when an Order was last confirmed

orderBy
​string · style: form · explode: true

Sorts the result based on a field in the Order objects

orderLineExternalReference
​string[] · style: form · explode: true

Filter by order lines external reference

orderLineId
​string[] · style: form · explode: true

Filter by OrderLine ID

organisationId
​string[] · style: form · explode: true

Filter by Organisation ID

originalDatedServiceJourneyId
​string[] · style: form · explode: true

Filter by Leg with Original Dated Service Journey ID

page
​integer · int32 · style: form · explode: true

Selects a specific page in the collection

Default: 1
perPage
​integer · int32 · style: form · explode: true

Selects the number of elements per page

Default: 30
pos
​string[] · style: form · explode: true

Filter by POS header used when Order was created

reservationId
​string[] · style: form · explode: true

Filter by Reservation ID on OrderLines

salesPackageId
​string[] · style: form · explode: true

Filter by Sales Package ID

salesPackageVersion
​string[] · style: form · explode: true

Filter by Sales Package version

fareProductId
​string[] · style: form · explode: true

Filter by Fare Product ID

fareProductVersion
​string[] · style: form · explode: true

Filter by Fare Product version

serviceJourneyId
​string[] · style: form · explode: true

Filter by Leg with Service Journey ID

sortBy
​string · enum · style: form · explode: true

Sorts the result ascending or descending

Enum values:
ASC
DESC
Default: ASC
startTime
​string[] · style: form · explode: true

Filter by the startTime of one of the Legs on the Order

status
​string[] · style: form · explode: true

Filter by Workflow Status

toStopPlaceId
​string[] · style: form · explode: true

Filter by Leg with to Stop Place ID

totalAmount
​string[] · style: form · explode: true

Filter by total amount

totalTaxAmount
​string[] · style: form · explode: true

Filter by total tax amount

version
​string[] · style: form · explode: true

Optional version query

Get Orders › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get Orders › Responses

OK

Page displays a subset of a list of entities
​Order[] · required

Items on a specific page

Default: []
totalItems
​integer · int64 · required

Total number of items

Example: 72
totalPages
​integer · int64 · required

Total number of pages available to browse

Example: 9

Create an empty Order, and return the Order object

POST
https://api.staging.entur.io/sales
/v1/orders

By calling this endpoint, a new, empty Order will be created. The Order ID can then be used to modify the Order to add journeys, etc.

Create an empty Order, and return the Order object › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Entur-On-Behalf-Of
​string · style: simple

The organisationId of the organisation the order is created on behalf of, instead of the organisation associated with the token. Must be an organisationId, not an authorityId or any other identifier. Requires either an agreement with the target organisation or the sales-and-payment.onBehalfOf-global business capability.

Example: 2

Create an empty Order, and return the Order object › Request Body optional

Optional configuration to use when creating an Order
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

currency
​string

The currency for this Order.

Default: NOK
externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z

Create an empty Order, and return the Order object › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Get Order with ID in latest version

GET
https://api.staging.entur.io/sales
/v1/orders/{orderId}

Get the latest versioned Order. Earlier versions with status CONFIRMED can be retrieved by specifying version=<desired version, minimum 1>.

Get Order with ID in latest version › path Parameters

orderId
​string · required · style: simple

Order ID

Get Order with ID in latest version › query Parameters

version
​integer · int32 · min: 1 · style: form · explode: true

Optional version query

Get Order with ID in latest version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get Order with ID in latest version › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Update an Order.

PUT
https://api.staging.entur.io/sales
/v1/orders/{orderId}

Update one or multiple values on an Order.

Update an Order. › path Parameters

orderId
​string · required · style: simple

Order ID

Update an Order. › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update an Order. › Request Body

A purchase Order for one or more Travellers
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.

Update an Order. › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Unlock Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/unlock

Unlock order if it is locked.

Unlock Order › path Parameters

orderId
​string · required · style: simple

Order ID

Unlock Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Unlock Order › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Fail Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/fail

Fail the order and order lines that have externalConfirmation=PENDING. An OrderFailed event is emitted and the order transitions to CONFIRMED with failed=true. Returns 200 with the current order state, including if the order is already confirmed or failed.

Fail Order › path Parameters

orderId
​string · required · style: simple

Order ID

Fail Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fail Order › Request Body

orderLineIds
​string[] · required

IDs of order lines that failed external confirmation. Must be order lines with externalConfirmation=PENDING.

Fail Order › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Confirm Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/confirm

Manually confirm Orders where the balance is equal to 0.00

Confirm Order › path Parameters

orderId
​string · required · style: simple

Order ID

Confirm Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Confirm Order › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Reset Order to the latest confirmed version, or initial state if it has never been confirmed

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/reset

This can be used when customers spend too much time placing an Order with a seat Reservation. By using reset, the application will free up space so that the seats can be reserved by others.

Reset Order to the latest confirmed version, or initial state if it has never been confirmed › path Parameters

orderId
​string · required · style: simple

Order ID

Reset Order to the latest confirmed version, or initial state if it has never been confirmed › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Reset Order to the latest confirmed version, or initial state if it has never been confirmed › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Did you find what you were looking for?